Subject: bug#66679: automake: error: undefined condition 'TRUE' for 'info_TEXINFOS'

From: Eric Gallager <[email-masked]>
Date: Sun, 22 Oct 2023 22:34:50 -0400

On Sun, Oct 22, 2023 at 5:28 PM Karl Berry <[email-masked]> wrote:
>
>     automake: Please contact <[email-masked]>.
>      at /opt/local/share/automake-1.16/Automake/Channels.pm line 655.
>         Automake::Channels::msg("automake", "", "undefined condition
>
> Thanks for the report. I (or someone else ... Bogdan?) will look into it
> as soon as we have a chance.
>
> Looking at the backtrace, I guess you have subdirectories.
> Could you send or point me to a snapshot of your whole tree?
> I fear the Makefile.am on its own won't be enough to reproduce.
>
>     In my attached `Makefile.am`, I have been trying to modify it so that
>     it only rebuilds the documentation when explicitly asked to.
>     Otherwise, the distributed copy should just get used instead.
>
> I wish I had some idea for you, but I just don't. Maybe someone else
> here can advise better. --thanks again, karl.

So, I actually already worked past the issue in my repository where
this occurred:
In this commit, it was broken:
https://github.com/cooljeanius/gaa/commit/8e2e78b844c530360893f359603b5d317f507ead
...and then in this commit, I fixed it:
https://github.com/cooljeanius/gaa/commit/ae6404d7c9a1eb7c517b9712e874dade61a457e2
I think it was a genuine user error in my code, but still, genuine
user errors shouldn't cause internal-looking backtraces to be
displayed like that, or request that they be reported upstream to
automake... Some sort of fix-it hint like "Note: move this variable
outside of the conditional, and then append to it from within the
conditional" would probably help make the error message a bit more
helpful.